> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Connectors



## OpenAPI

````yaml /development/api-reference/openapi.json get /api/v1/connectors
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/connectors:
    get:
      tags:
        - connectors
      summary: List Connectors
      operationId: list_connectors_api_v1_connectors_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResult_ConnectorResponse_'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    PaginatedResult_ConnectorResponse_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ConnectorResponse'
          type: array
          title: Items
        total_count:
          type: integer
          title: Total Count
        has_more:
          type: boolean
          title: Has More
          default: false
        next_page_token:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Next Page Token
          readOnly: true
      type: object
      required:
        - items
        - total_count
        - next_page_token
      title: PaginatedResult[ConnectorResponse]
    ConnectorResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        url:
          type: string
          minLength: 1
          format: uri
          title: Url
        state:
          $ref: '#/components/schemas/ConnectorState'
        auth_request:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/AuthorizationCodeRequest'
              discriminator:
                propertyName: type
                mapping:
                  code:
                    $ref: '#/components/schemas/AuthorizationCodeRequest'
            - type: 'null'
          title: Auth Request
        disconnect_reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Disconnect Reason
        metadata:
          anyOf:
            - additionalProperties:
                type: string
              type: object
              description: >

                Set of 16 key-value pairs that can be attached to an object.
                This can be useful for storing additional

                information about the object in a structured format, and
                querying for objects via API or the dashboard.


                Keys are strings with a maximum length of 64 characters. Values
                are strings with a maximum length of

                512 characters.
            - type: 'null'
          title: Metadata
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by:
          type: string
          format: uuid
          title: Created By
      type: object
      required:
        - id
        - url
        - state
        - auth_request
        - disconnect_reason
        - metadata
        - created_at
        - updated_at
        - created_by
      title: ConnectorResponse
    ConnectorState:
      type: string
      enum:
        - created
        - auth_required
        - connected
        - disconnected
      title: ConnectorState
    AuthorizationCodeRequest:
      properties:
        type:
          type: string
          const: code
          title: Type
          default: code
        authorization_endpoint:
          type: string
          minLength: 1
          format: uri
          title: Authorization Endpoint
      type: object
      required:
        - authorization_endpoint
      title: AuthorizationCodeRequest
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````